Skip to content
IPO System

Submit New IPO Order

This interface is used to submit an IPO subscription order. By providing the stock symbol symbol, subscription quantity sub_qty, subscription method method, financing plan ID batch_id, and account number account_no, it completes the submission of the IPO subscription order and returns the complete order details, including subscription amount, handling fee, whether cancellation is allowed, financing information, and grey market trading time.

POSThttps://b-api.longbridge.xyz/v1/whaleapi/ipo/submit

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

symbolstringrequired

Stock Symbol, in ticker.region format. Stock Symbol, in ticker.region format

sub_qtystringrequired

Subscribe quantity. Subscribe quantity

methodintegerrequired

Subscription method. Subscription method

batch_idstringrequired

Financing batch Id. Financing batch Id

account_nostringrequired

Account Number. Account Number

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
idstringrequired

Order ID. Order ID

namestringrequired

Stock short name. Stock short name

symbolstringrequired

Stock code. Stock code

marketstringrequired

Stock market. Stock market

currencystringrequired

Stcok currency. Stcok currency

sub_qtystringrequired

Subscription quantity. Subscription quantity

sub_amountstringrequired

Subscription amount. Subscription amount

handing_feestringrequired

Subscription fee. Subscription fee

withdraw_ablestringrequired

Enable withdraw or not. Enable withdraw or not

lot_win_qtystringrequired

Allotment quantity. Allotment quantity

statusstringrequired

Order status. Order status

financing_amountstringrequired

Financing amount. Financing amount

ipo_statusstringrequired

IPO status. IPO status

methodstringrequired

Subscription method. Subscription method

financing_intereststringrequired

Financing interest. Financing interest

finance_fee_ratestringrequired

Financing rate. Financing rate

ipo_pricestringrequired

IPO issue price. IPO issue price

borrow_amountstringrequired

Margin amount. Margin amount

borrow_intereststringrequired

interest rate. interest rate

total_amountstringrequired

Order total amount. Order total amount

current_amountstringrequired

Order current amount. Order current amount

luck_atstringrequired

Allotment time. Allotment time

ipo_datestringrequired

IPO date. IPO date

mart_beginintegerrequired

Grey trading start time. Grey trading start time

mart_endintegerrequired

Grey trading end time. Grey trading end time

modify_enablestringrequired

Order enable amend or not. Order enable amend or not

borrow_enablestringrequired

Enable Margin. Enable Margin

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs